Package: gfax
Version: 0.7.6-9
Severity: important
Tags: patch
gfax FTBFS in my pbuilder:
make[3]: Entering directory `/tmp/buildd/gfax-0.7.6'
test -z "/usr/bin" || /bin/mkdir -p "/tmp/buildd/gfax-0.7.6/debian/gfax/usr/bin"
/usr/bin/install -c 'gfax' '/tmp/buildd/gfax-0.7.6/debian/gfax/usr/bin/gfax'
/usr/bin/install -c 'gfaxlpr'
'/tmp/buildd/gfax-0.7.6/debian/gfax/usr/bin/gfaxlpr'
test -z "/usr/share/applications" || /bin/mkdir -p
"/tmp/buildd/gfax-0.7.6/debian/gfax/usr/share/applications"
/usr/bin/install -c -m 644 'gfax.desktop'
'/tmp/buildd/gfax-0.7.6/debian/gfax/usr/share/applications/gfax.desktop'
if test -z "/tmp/buildd/gfax-0.7.6/debian/gfax" ; then \
for p in gfax.schemas ; do \
GCONF_CONFIG_SOURCE=xml:merged:/etc/gconf/gconf.xml.defaults
/usr/bin/gconftool-2 --makefile-install-rule ./$p ; \
done \
fi
killall -HUP gconfd-2
gconfd-2: no process killed
make[3]: *** [install-data-local] Error 1
make[3]: Leaving directory `/tmp/buildd/gfax-0.7.6'
make[2]: *** [install-am] Error 2
make[2]: Leaving directory `/tmp/buildd/gfax-0.7.6'
make[1]: *** [install-recursive] Error 1
make[1]: Leaving directory `/tmp/buildd/gfax-0.7.6'
make: *** [install] Error 2
dpkg-buildpackage: failure: fakeroot debian/rules binary gave error exit status
2
Attached workaround should fix this. Thank you.
-- System Information:
Debian Release: lenny/sid
APT prefers intrepid
APT policy: (500, 'intrepid')
Architecture: i386 (i686)
Kernel: Linux 2.6.27-7-generic (SMP w/1 CPU core)
Locale: LANG=it_IT.UTF-8, LC_CTYPE=it_IT.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
diff -u gfax-0.7.6/debian/patches/00list gfax-0.7.6/debian/patches/00list
--- gfax-0.7.6/debian/patches/00list
+++ gfax-0.7.6/debian/patches/00list
@@ -7,0 +8 @@
+100_ignore_killall
--- gfax-0.7.6.orig/debian/patches/100_ignore_killall.dpatch
+++ gfax-0.7.6/debian/patches/100_ignore_killall.dpatch
@@ -0,0 +1,29 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## 100_ignore_killall.dpatch by Luca Falavigna <[EMAIL PROTECTED]>
+## DP: Do not quit if killall does not find any gconfd-2 process.
+
[EMAIL PROTECTED]@
+diff -urNad gfax-0.7.6~/Makefile.am gfax-0.7.6/Makefile.am
+--- gfax-0.7.6~/Makefile.am 2006-11-30 02:30:04.000000000 +0100
++++ gfax-0.7.6/Makefile.am 2008-10-20 22:05:50.000000000 +0200
+@@ -21,7 +21,7 @@
+ GCONF_CONFIG_SOURCE=$(GCONF_SCHEMA_CONFIG_SOURCE) $(GCONFTOOL)
--makefile-install-rule $(srcdir)/$$p ; \
+ done \
+ fi
+- killall -HUP gconfd-2
++ killall -HUP gconfd-2 || true
+ else
+ install-data-local:
+ endif
+diff -urNad gfax-0.7.6~/Makefile.in gfax-0.7.6/Makefile.in
+--- gfax-0.7.6~/Makefile.in 2008-10-20 22:05:17.000000000 +0200
++++ gfax-0.7.6/Makefile.in 2008-10-20 22:05:41.000000000 +0200
+@@ -810,7 +810,7 @@
+ @GCONF_SCHEMAS_INSTALL_TRUE@
GCONF_CONFIG_SOURCE=$(GCONF_SCHEMA_CONFIG_SOURCE) $(GCONFTOOL)
--makefile-install-rule $(srcdir)/$$p ; \
+ @GCONF_SCHEMAS_INSTALL_TRUE@ done \
+ @GCONF_SCHEMAS_INSTALL_TRUE@ fi
[EMAIL PROTECTED]@ killall -HUP gconfd-2
[EMAIL PROTECTED]@ killall -HUP gconfd-2 || true
+ @[EMAIL PROTECTED]:
+
+ gfax: gfax.in config.log